#!/bin/bash


# loop through all files and copy the top 5 EV to continue w/ random weight files

   # initalize
   FILENAME=""
   CURRENT_MAE_VALUE=0
   # these are initalized to an arbitrarily large value
   EV_MAE_0=1000.0
   EV_MAE_1=1000.0
   EV_MAE_2=1000.0

   EV_FILES=(NULL0 NULL1 NULL2)

   # set fold value
   FOLD=f0

   # get directory list
   FILES='./'$FOLD'/'*'out.txt'

   for INFILE in $FILES
   do

   #  remove directory from path
      FILENAME=`echo $INFILE | awk 'BEGIN {FS="/"} {print $3}'`
   #  find ev mae value
      CURRENT_MAE_VALUE=`echo $FILENAME | awk 'BEGIN {FS="_"} {print $1}'`

   # save the names of the top 3 EV files and EV values
      if (( $(bc <<< "$CURRENT_MAE_VALUE < $EV_MAE_0") == 1 ))
      then
         #bump down current list items
         EV_FILES[2]=${EV_FILES[1]}; EV_MAE_2=$EV_MAE_1
         EV_FILES[1]=${EV_FILES[0]}; EV_MAE_1=$EV_MAE_0
         EV_FILES[0]=$FILENAME
         # assign EV_MAE_VALUE to top value
         EV_MAE_0=$CURRENT_MAE_VALUE

      elif (( $(bc <<< "$CURRENT_MAE_VALUE < $EV_MAE_1") == 1 ))
      then
         #bump down current list items
         EV_FILES[2]=${EV_FILES[1]}; EV_MAE_2=$EV_MAE_1
         EV_FILES[1]=$FILENAME
         # assign EV_MAE_VALUE to second value
         EV_MAE_1=$CURRENT_MAE_VALUE

      elif (( $(bc <<< "$CURRENT_MAE_VALUE < $EV_MAE_2") == 1 ))
      then
         #bump down current list items
         EV_FILES[2]=$FILENAME
         # assign EV_MAE_VALUE to third value
         EV_MAE_2=$CURRENT_MAE_VALUE

      fi

   done

# print results
   echo "1st EV file"
   echo ${EV_FILES[0]}
   echo "EV MAE 0"  $EV_MAE_0
   echo""
   echo "2nd EV file"
   echo ${EV_FILES[1]}
   echo "EV MAE 1"  $EV_MAE_1
   echo""
   echo "3rd EV file"
   echo ${EV_FILES[2]}
   echo "EV MAE 2"  $EV_MAE_2
   echo""
